#ifndef __XGIS_PLUGIN_LAYER_BUILDINGS_H__
#	define __XGIS_PLUGIN_LAYER_BUILDINGS_H__

#include <osg/Node>

#include <osgUtil/Tessellator>

#include <loaders/xgf/xgfloader.h>
#include <xgislib/coords.h>

class LayerBuildingPlugin : public XGFLoaderPlugin {
    static void startElement(void *ctx, 
		const xmlChar *name, 
		const xmlChar **atts);
    static void endElement(void *ctx, 
    	const xmlChar *name);
    static void characters(void *ctx, 
    	const xmlChar *ch, 
    	int len);

public:
	LayerBuildingPlugin();
	virtual const std::string &element();
	virtual XGFLoaderPluginContext *createPluginContext();
};

#endif /* __XGIS_PLUGIN_LAYER_BUILDINGS_H__ */
