#ifndef __XGISLIB_CIRRUS_H__
#	define __XGISLIB_CIRRUS_H__

#include <xgislib/cloud.h>

#include <time.h>

class Cirrus : public Cloud {
public:
	Cirrus(WorldStorage *_storage, int _numParticles, int _partSize, 
		float _sizeX, float _sizeY, float _thick, const osg::Vec3f &_sunPos, 
		time_t _startTIme);

protected:
	virtual void placeParticles();
	osg::Vec4f getCirrusColour(float altitude);

};

#endif /* !__XGISLIB_CIRRUS_H__ */
