#ifndef __OBSCENE_TREE_H__
#	define __OBSCENE_TREE_H__

#include <osg/Group>
#include <osg/Geode>
#include <osg/PositionAttitudeTransform>

class Tree : public osg::Group {
public:
	Tree();
	osg::PositionAttitudeTransform* placeTree(osg::Vec3 location);
	
private:
	void initTreeTrunk(float radius, float height);
	void initTreeTop(float radius, float height);

protected:
	osg::ref_ptr<osg::Geode> geode;
	osg::Vec3 location;
	osg::PositionAttitudeTransform* treePlacer;
};

#endif /* __OBSCENE_TREE_H__ */
