#ifndef __XGISLIB_DEBUGOBSERVER_H__
#define __XGISLIB_DEBUGOBSERVER_H__

#include <osg/observer_ptr>

#include <OpenThreads/Mutex>

class DebugObserver : public osg::Observer {
	OpenThreads::Mutex mutex;

	int objectCount, createdObjects, deletedObjects;

public:
	static void createObserver(DebugObserver **ptr);
	
	DebugObserver();
	virtual ~DebugObserver();
	virtual void objectDeleted (void *);	
	void objectCreated();
	void report();
};

#endif /* __XGISLIB_OBJECTOBSERVER_H__ */
