#ifndef __XGISLIB_PICKACTION_H__
#	define __XGISLIB_PICKACTION_H__

#include <osg/Node>

#include <xgislib/sceneuserdata.h>

class PickAction : public SceneUserData {
public:
	virtual bool pick(osg::Node *picked, const osg::Vec3 &point,
		int button, bool doubleClick) = 0;

	virtual const char *getTypeName() { return TYPE_NAME; }
	
	static const char *TYPE_NAME;
};

#endif /* __XGISLIB_PICKACTION_H__ */
