#ifndef __SOCALIB_SEMAPHORE_H__
#define __SOCALIB_SEMAPHORE_H__

#include <OpenThreads/Mutex>
#include <OpenThreads/Condition>

class Semaphore {
private:
	OpenThreads::Mutex semMutex;
	OpenThreads::Condition condition;
	int counter;

public:
	Semaphore() {
		counter = 0;
	}
	
	int post();
	int wait();
	int trywait();

};

#endif /* __SOCALIB_SEMAPHORE_H__ */
