#include "config.h"

#include "httpclient.h"
#include "xputils.h"
#include "coords.h"
#include "layerbuilder.h"

#include <vector>

#include <assert.h>
#include <stdio.h>
#include <time.h>

int main(int argc, char **argv) {
	if(argc != 4) {
		fprintf(stderr, "Usage: %s <server> <port> <path>\n", argv[0]);
		return -1;
	}
	
	HttpClient c(argv[1], atoi(argv[2]));
	time_t st = time(NULL);
	for(int i = 0; i < 1; i++) {
		if(200 != c.get(argv[3], "tmpfile")) {
			fprintf(stderr, "HTTP GET failed.\n");
			return -42;
		}
	}
	time_t et = time(NULL);
	
	fprintf(stdout, "Time spent: %ds\n", (int)(et - st));
}
