#ifndef __XGISVIEWER_GLUTUI_H__
#define __XGISVIEWER_GLUTUI_H__

#include "xgisui.h"

class GlutUI : public XGisUI {
	static osg::observer_ptr<osgViewer::GraphicsWindow> window;
	
	static void display(void);
	static void reshape(int w, int h);
	static void mousebutton(int button, int state, int x, int y);
	static void mousemove(int x, int y);
	static unsigned int getOsgModKeyMask();
	static void sendKey(int key);
	static void keyboard(unsigned char key, int x, int y);
	static void specialKey(int key, int x, int y);

	static double lastTime;
	static int lastButton;
	
public:	
	virtual void setupViewer();	
	virtual void run();
};

#endif /* __XGISVIEWER_GLUTUI_H__ */
